/* 
 * @author:
 */

import java.lang.reflect.*;

public class InfoClass {

 public InfoClass () {
   }

 public static void imprimConstrutores(Class cl) {
   Constructor[] construtores = cl.getDeclaredConstructors();
 
   for (int i = 0; i < construtores.length; i++) {
       Constructor c = construtores[i];
       Class[] tipoParam = c.getParameterTypes();
       String nomeClasse = cl.getName();
       System.out.print(Modifier.toString(c.getModifiers()));
       System.out.print(" " + nomeClasse + "(");
       for (int j = 0; j < tipoParam.length; j++) {
           if (j > 0) System.out.print(", ");
              System.out.print(tipoParam[j].getName());
           }
       System.out.println(");");
       }
 }
 
 public static void imprimaMetodos(Class cl) { 
   Method [] metodos = cl.getDeclaredMethods();
 
    for (int i = 0; i < metodos.length; i++) {
        Method m = metodos[i];
        Class retTipoClasse = m.getReturnType();
        Class[] tipoParam = m.getParameterTypes();
        String nomeClasse = m.getName();
        System.out.print(Modifier.toString(m.getModifiers()));
        System.out.print(" " + retTipoClasse.getName() + " " + nomeClasse + "(");
        for (int j = 0; j < tipoParam.length; j++) {
            if (j > 0) System.out.print(", ");
               System.out.print(tipoParam[j].getName());
            }
        System.out.println(");");
        }
 }
 
 public static void imprimaCampos(Class cl) { 
   Field [] campos = cl.getDeclaredFields();
 
   for (int i = 0; i < campos.length; i++) {
       Field f = campos[i];
       Class tipoClasse = f.getType();
       String nomeClasse = f.getName();
       System.out.print(Modifier.toString(f.getModifiers()));
       System.out.println(" " + tipoClasse.getName() + " " + nomeClasse + ";");
       }
   }

}
